i= 30;
rad= pi/180;

n=[0,cos(rad*i),-sin(rad*i)];

% x=linspace(-1,1,10000);
% 
% y=sqrt((1-(x.^2))./(1+(n(2)/n(3))^2));
% z=-y.*n(2)/n(3);
% plot3(x,y,z)

% z=[-0.029913068
% 8.8128644
% 16.98915897
% 23.76972519
% 28.37536205
% 30.12699658
% 28.72274388
% 24.4067658
% 17.83052623
% 9.772673973
% 0.970389363
% -7.900666908
% -16.17349707
% -23.13055058
% -28.00027008
% -30.08697994
% -29.03762111
% -25.03447339
% -18.69082942
% -10.77571466
% -2.029415099
% 6.869414924]/30.12699658;

% z=[30.11372761
% 30.03250772
% 29.85847771
% 29.59259882
% 29.23632057
% 28.79155012
% 28.2606134
% 27.6462101
% 26.95136459
% 26.17937485
% 25.33376148
% 24.41821837
% 23.43656658
% 22.39271237
% 21.29061014
% 20.13423064
% 18.92753449
% 17.67445102
% 16.37886205
% 15.04459017
% 13.67539121
% 12.2749503
% 10.846881
% 9.394727139
% 7.921966862
% 6.432018438
% 4.92824759
% 3.413975952
% 1.892490398
% 0.367053028
% -1.159088442
% -2.682690046
% -4.200500898
% -5.709252662
% -7.205649343
% -8.686357619
% -10.14799792
% -11.58713651
% -13.0002789
% -14.38386483
% -15.7342653
% -17.04778195
% -18.32064937
% -19.54904068
% -20.72907693
% -21.85684083
% -22.92839512
% -23.9398061
% -24.88717227
% -25.76665838
% -26.5745344
% -27.30721908
% -27.96132709
% -28.53371867
% -29.02155017
% -29.42232361
% -29.73393339
% -29.95470787
% -30.08344397
% -30.11943281]/30.11943281;

z=[-0.029913068
8.8128644
16.98915897
23.76972519
28.37536205
30.12699658
28.72274388
24.4067658
17.83052623
9.772673973
0.970389363
-7.900666908
-16.17349707
-23.13055058
-28.00027008
-30.08697994
-29.03762111
-25.03447339
-18.69082942
-10.77571466
-2.029415099
6.869414924]/30.12699658;


y=-z*(n(2)/n(3));
x=sqrt((1/n(3))^2-y.^2-z.^2);
plot3(x,y,z)
%% do this section for every face (1,0,0), (-,0,0), etc taking the earth pos from the excel file: earth_Face_angle_testData
%pos_ter=[-x,-y,-z];

[m,s]=size(pos_ter);

for j= 1:m
a=dot([0,0,-1],pos_ter(j,:))/norm(pos_ter(j,:));
angle(j,6)=180/pi*acos(a);
end


